> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List notification event types

> Returns the catalog of notifiable event types grouped by source category. Each event lists its type identifier, label, and description, which can be referenced when muting event types in notification preferences.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /notifications/catalog
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /notifications/catalog:
    get:
      tags:
        - Notifications
      summary: List notification event types
      description: >-
        Returns the catalog of notifiable event types grouped by source
        category. Each event lists its type identifier, label, and description,
        which can be referenced when muting event types in notification
        preferences.
      operationId: getNotificationCatalog
      responses:
        '200':
          description: Notifiable event catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                          example: triggers-api
                        label:
                          type: string
                          example: Workflows
                        events:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                example: workflow.run.completed
                              label:
                                type: string
                                example: Completed
                              description:
                                type: string
                            required:
                              - type
                              - label
                              - description
                      required:
                        - source
                        - label
                        - events
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````